## Create a new Provider Configs `client.aiGateway.providerConfigs.create(stringgatewayId, ProviderConfigCreateParamsparams, RequestOptionsoptions?): ProviderConfigCreateResponse` **post** `/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/provider_configs` Creates a new AI Gateway. ### Parameters - `gatewayId: string` gateway id - `params: ProviderConfigCreateParams` - `account_id: string` Path param - `alias: string` Body param - `default_config: boolean` Body param - `provider_slug: string` Body param - `secret: string` Body param - `secret_id: string` Body param - `rate_limit?: number` Body param - `rate_limit_period?: number` Body param ### Returns - `ProviderConfigCreateResponse` - `id: string` - `alias: string` - `default_config: boolean` - `gateway_id: string` gateway id - `modified_at: string` - `provider_slug: string` - `secret_id: string` - `secret_preview: string` - `rate_limit?: number` - `rate_limit_period?: number` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const providerConfig = await client.aiGateway.providerConfigs.create('my-gateway', { account_id: '3ebbcb006d4d46d7bb6a8c7f14676cb0', alias: 'alias', default_config: true, provider_slug: 'provider_slug', secret: 'secret', secret_id: 'secret_id', }); console.log(providerConfig.id); ``` #### Response ```json { "result": { "id": "id", "alias": "alias", "default_config": true, "gateway_id": "my-gateway", "modified_at": "2019-12-27T18:11:19.117Z", "provider_slug": "provider_slug", "secret_id": "secret_id", "secret_preview": "secret_preview", "rate_limit": 0, "rate_limit_period": 0 }, "success": true } ```